Status
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstring · uuidObrigatório
Respostas
200
Status retrieved
*/*
idstring · uuidOpcional
namestringOpcional
titlestringOpcional
sub_titlestringOpcional
typestring · enumOpcionalValores possíveis:
can_edit_by_customerbooleanOpcional
can_edit_by_apibooleanOpcional
show_in_portalbooleanOpcional
background_colorstringOpcional
font_colorstringOpcional
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
400
Cannot retrieve status
*/*
500
An internal server error was thrown
*/*
get/status/{id}
GET /api/sales/status/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text",
"sub_title": "text",
"type": "PENDING",
"can_edit_by_customer": true,
"can_edit_by_api": true,
"show_in_portal": true,
"background_color": "text",
"font_color": "text",
"relations": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"destiny": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text"
},
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstring · uuidObrigatório
Corpo
titlestringObrigatório
sub_titlestringObrigatório
typestring · enumObrigatórioValores possíveis:
can_edit_by_customerbooleanObrigatório
can_edit_by_apibooleanObrigatório
show_in_portalbooleanObrigatório
background_colorstringObrigatório
font_colorstringObrigatório
Respostas
200
Status updated
*/*
idstring · uuidOpcional
namestringOpcional
titlestringOpcional
sub_titlestringOpcional
typestring · enumOpcionalValores possíveis:
can_edit_by_customerbooleanOpcional
can_edit_by_apibooleanOpcional
show_in_portalbooleanOpcional
background_colorstringOpcional
font_colorstringOpcional
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
400
Cannot update status
*/*
500
An internal server error was thrown
*/*
put/status/{id}
PUT /api/sales/status/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 316
{
"title": "text",
"sub_title": "text",
"type": "PENDING",
"can_edit_by_customer": true,
"can_edit_by_api": true,
"show_in_portal": true,
"background_color": "text",
"font_color": "text",
"relations": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"destiny": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text"
}
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text",
"sub_title": "text",
"type": "PENDING",
"can_edit_by_customer": true,
"can_edit_by_api": true,
"show_in_portal": true,
"background_color": "text",
"font_color": "text",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstring · uuidObrigatório
Respostas
200
Status removed
*/*
idstring · uuidOpcional
400
Cannot remove status
*/*
500
An internal server error was thrown
*/*
delete/status/{id}
DELETE /api/sales/status/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault:
""pageinteger · int32OpcionalDefault:
0perPageinteger · int32OpcionalDefault:
25sortstringOpcionalDefault:
iddirstringOpcionalDefault:
ascRespostas
200
Status listed
*/*
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
400
Cannot list status
*/*
500
An internal server error was thrown
*/*
get/status
GET /api/sales/status HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"currentPage": 1,
"perPage": 1,
"total": 1,
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text",
"sub_title": "text",
"type": "PENDING",
"can_edit_by_customer": true,
"can_edit_by_api": true,
"show_in_portal": true,
"background_color": "text",
"font_color": "text",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
namestringObrigatório
titlestringObrigatório
sub_titlestringObrigatório
typestring · enumObrigatórioValores possíveis:
can_edit_by_customerbooleanObrigatório
can_edit_by_apibooleanObrigatório
show_in_portalbooleanObrigatório
background_colorstringObrigatório
font_colorstringObrigatório
Respostas
200
Status created
*/*
idstring · uuidOpcional
namestringOpcional
titlestringOpcional
sub_titlestringOpcional
typestring · enumOpcionalValores possíveis:
can_edit_by_customerbooleanOpcional
can_edit_by_apibooleanOpcional
show_in_portalbooleanOpcional
background_colorstringOpcional
font_colorstringOpcional
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
400
Cannot create status
*/*
500
An internal server error was thrown
*/*
post/status
POST /api/sales/status HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 286
{
"name": "text",
"title": "text",
"sub_title": "text",
"type": "PENDING",
"can_edit_by_customer": true,
"can_edit_by_api": true,
"show_in_portal": true,
"background_color": "text",
"font_color": "text",
"relations": [
{
"destiny": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text"
}
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"title": "text",
"sub_title": "text",
"type": "PENDING",
"can_edit_by_customer": true,
"can_edit_by_api": true,
"show_in_portal": true,
"background_color": "text",
"font_color": "text",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}